function [A, distID] = archiveID(x,B,Nmax)

	[N,height] = size(B);
	Collect = zeros(Nmax,height);

	A = zeros(N+1,height);
	A(1:N,:) = B;
	A(N+1,:) = x;

	% If the archive is too big
	if (N+1 > Nmax)

		% Compute DistID leaving out one every time
		worstDistID = Inf;
		for(i = 1:N+1)
			Collect = A([1:(i-1),(i+1):end],:);

			distID = computeID(Collect);
			if (distID < worstDistID)
				worst_index = i;
				worstDistID = distID;
			end
		end
		A = A([1:(worst_index-1),(worst_index+1):end],:);
		distID = worstDistID;

	else

		distID = -1;

	end

end
